Bug 414137 - crashed after changing application language to English (UK), which wasn't installed
Summary: crashed after changing application language to English (UK), which wasn't ins...
Status: REPORTED
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 5.12.3
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2019-11-14 14:35 UTC by Martin Tlustos
Modified: 2019-11-25 22:34 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Tlustos 2019-11-14 14:35:38 UTC
Application: kontact (5.12.3)

Qt Version: 5.13.1
Frameworks Version: 5.63.0
Operating System: Linux 4.15.0-70-generic x86_64
Distribution: KDE neon User Edition 5.17

-- Information about the crash:
- What I was doing when the application crashed:
I had changed the language to English (UK) to file another bug report, then tried to restart it.
- Custom settings of the application:
Changed language setting to English (UK) which isn't installed

-- Backtrace:
Application: Kontact (kontact), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fe052fbf440 (LWP 19629))]

Thread 21 (Thread 0x7fdf2e7fc700 (LWP 19658)):
#0  0x00007fe04b1be9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fdf2e7fb8d8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fe04b1be9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7fdf2e7fb888, cond=0x7fdf2e7fb8b0) at pthread_cond_wait.c:502
#2  0x00007fe04b1be9f3 in __pthread_cond_wait (cond=0x7fdf2e7fb8b0, mutex=0x7fdf2e7fb888) at pthread_cond_wait.c:655
#3  0x00007fe040112fca in base::ConditionVariable::Wait() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007fe040113a6c in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007fe040113baf in base::WaitableEvent::Wait() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007fe0400ccc75 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe0400cff0b in base::internal::SchedulerWorker::RunWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007fe0400d0354 in base::internal::SchedulerWorker::RunDedicatedWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007fe04b1b86db in start_thread (arg=0x7fdf2e7fc700) at pthread_create.c:463
#11 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7fdf2effd700 (LWP 19657)):
#0  0x00007fe04f8d56ac in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007fe04f8d7474 in ___fprintf_chk (fp=0x7fe04fb928b0 <_IO_stdfile_2_lock>, flag=1, format=0x7fe0370536a8 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007fe03703b9ad in event_logv_ () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007fe03703bb44 in event_warn () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#4  0x00007fe03703d46c in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#5  0x00007fe037033114 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#6  0x00007fe040119969 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe0400a6786 in base::RunLoop::Run() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007fe0400de0e9 in base::Thread::ThreadMain() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007fe04b1b86db in start_thread (arg=0x7fdf2effd700) at pthread_create.c:463
#11 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7fdf2f7fe700 (LWP 19656)):
#0  0x00007fe04b1beed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fdf2f7fd6f0, expected=0, futex_word=0x7fdf2f7fd8c8) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007fe04b1beed9 in __pthread_cond_wait_common (abstime=0x7fdf2f7fd790, mutex=0x7fdf2f7fd878, cond=0x7fdf2f7fd8a0) at pthread_cond_wait.c:533
#2  0x00007fe04b1beed9 in __pthread_cond_timedwait (cond=0x7fdf2f7fd8a0, mutex=0x7fdf2f7fd878, abstime=0x7fdf2f7fd790) at pthread_cond_wait.c:667
#3  0x00007fe0401130c6 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007fe040113a5d in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007fe040113bf2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007fe0400ccca1 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe0400cfbad in base::internal::SchedulerWorker::RunWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007fe0400d02d4 in base::internal::SchedulerWorker::RunPooledWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007fe04b1b86db in start_thread (arg=0x7fdf2f7fe700) at pthread_create.c:463
#11 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7fdf2ffff700 (LWP 19655)):
#0  0x00007fe04b1beed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fdf2fffe6f0, expected=0, futex_word=0x7fdf2fffe8c8) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007fe04b1beed9 in __pthread_cond_wait_common (abstime=0x7fdf2fffe790, mutex=0x7fdf2fffe878, cond=0x7fdf2fffe8a0) at pthread_cond_wait.c:533
#2  0x00007fe04b1beed9 in __pthread_cond_timedwait (cond=0x7fdf2fffe8a0, mutex=0x7fdf2fffe878, abstime=0x7fdf2fffe790) at pthread_cond_wait.c:667
#3  0x00007fe0401130c6 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007fe040113a5d in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007fe040113bf2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007fe0400ccca1 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe0400cff0b in base::internal::SchedulerWorker::RunWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007fe0400d02d4 in base::internal::SchedulerWorker::RunPooledWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007fe04b1b86db in start_thread (arg=0x7fdf2ffff700) at pthread_create.c:463
#11 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7fdfd5b77700 (LWP 19654)):
#0  0x00007fe04b1be9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fe03854efb8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fe04b1be9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7fe03854ef68, cond=0x7fe03854ef90) at pthread_cond_wait.c:502
#2  0x00007fe04b1be9f3 in __pthread_cond_wait (cond=0x7fe03854ef90, mutex=0x7fe03854ef68) at pthread_cond_wait.c:655
#3  0x00007fe038259874 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#4  0x00007fe0382598b9 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#5  0x00007fe04b1b86db in start_thread (arg=0x7fdfd5b77700) at pthread_create.c:463
#6  0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7fdfd6378700 (LWP 19653)):
#0  0x00007fe04f8b50b4 in __GI___libc_read (fd=59, buf=0x7fdfd637781e, nbytes=10) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007fe00c180021 in pa_read () at /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-11.1.so
#2  0x00007fe00c3fea2e in pa_mainloop_prepare () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007fe00c3ff4a0 in pa_mainloop_iterate () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007fe00c3ff560 in pa_mainloop_run () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007fe00c40d3c9 in  () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007fe00c1af318 in  () at /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-11.1.so
#7  0x00007fe04b1b86db in start_thread (arg=0x7fdfd6378700) at pthread_create.c:463
#8  0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7fdfd6ffd700 (LWP 19652)):
#0  0x00007fe04f8d56ac in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007fe04f8d7474 in ___fprintf_chk (fp=0x7fe04fb928b0 <_IO_stdfile_2_lock>, flag=1, format=0x7fe0370536a8 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007fe03703b9ad in event_logv_ () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007fe03703bb44 in event_warn () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#4  0x00007fe03703d46c in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#5  0x00007fe037033114 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#6  0x00007fe0401199bd in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe0400a6786 in base::RunLoop::Run() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007fe0400de0e9 in base::Thread::ThreadMain() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007fe04b1b86db in start_thread (arg=0x7fdfd6ffd700) at pthread_create.c:463
#11 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7fdfd77fe700 (LWP 19651)):
#0  0x00007fe04b1be9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fdfd77fd828) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fe04b1be9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7fdfd77fd7d8, cond=0x7fdfd77fd800) at pthread_cond_wait.c:502
#2  0x00007fe04b1be9f3 in __pthread_cond_wait (cond=0x7fdfd77fd800, mutex=0x7fdfd77fd7d8) at pthread_cond_wait.c:655
#3  0x00007fe040112fca in base::ConditionVariable::Wait() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007fe040113a6c in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007fe040113baf in base::WaitableEvent::Wait() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007fe04008484f in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe0400a6786 in base::RunLoop::Run() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007fe0400de0e9 in base::Thread::ThreadMain() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007fe04b1b86db in start_thread (arg=0x7fdfd77fe700) at pthread_create.c:463
#11 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7fe000ff9700 (LWP 19649)):
#0  0x00007fe04b1be9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fe000ff8828) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fe04b1be9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7fe000ff87d8, cond=0x7fe000ff8800) at pthread_cond_wait.c:502
#2  0x00007fe04b1be9f3 in __pthread_cond_wait (cond=0x7fe000ff8800, mutex=0x7fe000ff87d8) at pthread_cond_wait.c:655
#3  0x00007fe040112fca in base::ConditionVariable::Wait() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007fe040113a6c in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007fe040113baf in base::WaitableEvent::Wait() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007fe04008484f in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe0400a6786 in base::RunLoop::Run() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007fe0400de0e9 in base::Thread::ThreadMain() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007fe04b1b86db in start_thread (arg=0x7fe000ff9700) at pthread_create.c:463
#11 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7fe0017fa700 (LWP 19648)):
#0  0x00007fe04b1be9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aa65bc4c98) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fe04b1be9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aa65bc4bd8, cond=0x55aa65bc4c70) at pthread_cond_wait.c:502
#2  0x00007fe04b1be9f3 in __pthread_cond_wait (cond=0x55aa65bc4c70, mutex=0x55aa65bc4bd8) at pthread_cond_wait.c:655
#3  0x00007fe040112fca in base::ConditionVariable::Wait() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007fe040d91bd8 in cc::SingleThreadTaskGraphRunner::Run() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007fe0400e37ff in base::SimpleThread::ThreadMain() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe04b1b86db in start_thread (arg=0x7fe0017fa700) at pthread_create.c:463
#8  0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7fe001ffb700 (LWP 19647)):
#0  0x00007fe04b1beed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fe001ffa6f0, expected=0, futex_word=0x7fe001ffa8c8) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007fe04b1beed9 in __pthread_cond_wait_common (abstime=0x7fe001ffa790, mutex=0x7fe001ffa878, cond=0x7fe001ffa8a0) at pthread_cond_wait.c:533
#2  0x00007fe04b1beed9 in __pthread_cond_timedwait (cond=0x7fe001ffa8a0, mutex=0x7fe001ffa878, abstime=0x7fe001ffa790) at pthread_cond_wait.c:667
#3  0x00007fe0401130c6 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007fe040113a5d in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007fe040113bf2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007fe0400ccca1 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe0400cff0b in base::internal::SchedulerWorker::RunWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007fe0400d02d4 in base::internal::SchedulerWorker::RunPooledWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007fe04b1b86db in start_thread (arg=0x7fe001ffb700) at pthread_create.c:463
#11 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7fe0027fc700 (LWP 19646)):
#0  0x00007fe04f8d56ac in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007fe04f8d7474 in ___fprintf_chk (fp=0x7fe04fb928b0 <_IO_stdfile_2_lock>, flag=1, format=0x7fe0370536a8 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007fe03703b9ad in event_logv_ () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007fe03703bb44 in event_warn () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#4  0x00007fe03703d46c in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#5  0x00007fe037033114 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#6  0x00007fe040119969 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe0400a6786 in base::RunLoop::Run() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007fe03f61ff64 in content::BrowserProcessSubThread::IOThreadRun(base::RunLoop*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007fe0400de258 in base::Thread::ThreadMain() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007fe04b1b86db in start_thread (arg=0x7fe0027fc700) at pthread_create.c:463
#12 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7fe002ffd700 (LWP 19645)):
#0  0x00007fe04b1beed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fe002ffc6f0, expected=0, futex_word=0x7fe002ffc8c8) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007fe04b1beed9 in __pthread_cond_wait_common (abstime=0x7fe002ffc790, mutex=0x7fe002ffc878, cond=0x7fe002ffc8a0) at pthread_cond_wait.c:533
#2  0x00007fe04b1beed9 in __pthread_cond_timedwait (cond=0x7fe002ffc8a0, mutex=0x7fe002ffc878, abstime=0x7fe002ffc790) at pthread_cond_wait.c:667
#3  0x00007fe0401130c6 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007fe040113a5d in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007fe040113bf2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007fe0400ccca1 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe0400cff0b in base::internal::SchedulerWorker::RunWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007fe0400d02d4 in base::internal::SchedulerWorker::RunPooledWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007fe04b1b86db in start_thread (arg=0x7fe002ffd700) at pthread_create.c:463
#11 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fe003fff700 (LWP 19643)):
#0  0x00007fe04f8b5187 in __GI___libc_write (fd=2, buf=0x7fe003ffbbb0, nbytes=47) at ../sysdeps/unix/sysv/linux/write.c:27
#1  0x00007fe04f8301bd in _IO_new_file_write (f=0x7fe04fb91680 <_IO_2_1_stderr_>, data=0x7fe003ffbbb0, n=47) at fileops.c:1203
#2  0x00007fe04f830b2f in new_do_write (to_do=<optimized out>, data=0x7fe003ffbbb0 "[warn] epoll_wait: Ung\303\274ltiger Dateideskriptor\n", fp=0x7fe04fb91680 <_IO_2_1_stderr_>) at fileops.c:457
#3  0x00007fe04f830b2f in _IO_new_file_xsputn (f=0x7fe04fb91680 <_IO_2_1_stderr_>, data=<optimized out>, n=47) at fileops.c:1277
#4  0x00007fe04f803707 in buffered_vfprintf (s=s@entry=0x7fe04fb91680 <_IO_2_1_stderr_>, format=format@entry=0x7fe0370536a8 "[%s] %s\n", args=args@entry=0x7fe003ffe170) at vfprintf.c:2350
#5  0x00007fe04f800726 in _IO_vfprintf_internal (s=s@entry=0x7fe04fb91680 <_IO_2_1_stderr_>, format=0x7fe0370536a8 "[%s] %s\n", ap=ap@entry=0x7fe003ffe170) at vfprintf.c:1301
#6  0x00007fe04f8d74c6 in ___fprintf_chk (fp=0x7fe04fb91680 <_IO_2_1_stderr_>, flag=1, format=<optimized out>) at fprintf_chk.c:35
#7  0x00007fe03703b9ad in event_logv_ () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#8  0x00007fe03703bb44 in event_warn () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#9  0x00007fe03703d46c in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#10 0x00007fe037033114 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#11 0x00007fe040119969 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007fe0400a6786 in base::RunLoop::Run() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#13 0x00007fe0400de0e9 in base::Thread::ThreadMain() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#14 0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#15 0x00007fe04b1b86db in start_thread (arg=0x7fe003fff700) at pthread_create.c:463
#16 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fe00effd700 (LWP 19636)):
#0  0x00007fe04b1beed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fe00effc6f0, expected=0, futex_word=0x7fe00effc8c8) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007fe04b1beed9 in __pthread_cond_wait_common (abstime=0x7fe00effc790, mutex=0x7fe00effc878, cond=0x7fe00effc8a0) at pthread_cond_wait.c:533
#2  0x00007fe04b1beed9 in __pthread_cond_timedwait (cond=0x7fe00effc8a0, mutex=0x7fe00effc878, abstime=0x7fe00effc790) at pthread_cond_wait.c:667
#3  0x00007fe0401130c6 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007fe040113a5d in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007fe040113bf2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007fe0400ccca1 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe0400cff0b in base::internal::SchedulerWorker::RunWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007fe0400d02d4 in base::internal::SchedulerWorker::RunPooledWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007fe04b1b86db in start_thread (arg=0x7fe00effd700) at pthread_create.c:463
#11 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fe00f7fe700 (LWP 19635)):
#0  0x00007fe04b1beed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fe00f7fd6f0, expected=0, futex_word=0x7fe00f7fd8c8) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007fe04b1beed9 in __pthread_cond_wait_common (abstime=0x7fe00f7fd790, mutex=0x7fe00f7fd878, cond=0x7fe00f7fd8a0) at pthread_cond_wait.c:533
#2  0x00007fe04b1beed9 in __pthread_cond_timedwait (cond=0x7fe00f7fd8a0, mutex=0x7fe00f7fd878, abstime=0x7fe00f7fd790) at pthread_cond_wait.c:667
#3  0x00007fe0401130c6 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007fe040113a5d in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007fe040113bf2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007fe0400ccca1 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe0400cff0b in base::internal::SchedulerWorker::RunWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007fe0400d02d4 in base::internal::SchedulerWorker::RunPooledWorker() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007fe04b1b86db in start_thread (arg=0x7fe00f7fe700) at pthread_create.c:463
#11 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fe00ffff700 (LWP 19634)):
#0  0x00007fe04f8d56ac in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007fe04f8d7474 in ___fprintf_chk (fp=0x7fe04fb928b0 <_IO_stdfile_2_lock>, flag=1, format=0x7fe0370536a8 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007fe03703b9ad in event_logv_ () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007fe03703bb44 in event_warn () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#4  0x00007fe03703d46c in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#5  0x00007fe037033114 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#6  0x00007fe040119969 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007fe0400a6786 in base::RunLoop::Run() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007fe0400d5e14 in base::internal::ServiceThread::Run(base::RunLoop*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007fe0400de258 in base::Thread::ThreadMain() () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007fe040115a65 in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007fe04b1b86db in start_thread (arg=0x7fe00ffff700) at pthread_create.c:463
#12 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fe015a04700 (LWP 19633)):
#0  0x00007fe04f8b50b4 in __GI___libc_read (fd=16, buf=0x7fe015a037a0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007fe0493302d0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fe0492eb0b7 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fe0492eb570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fe0492eb6dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fe0504249db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fe008000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fe0503c4eaa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fe015a039b0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#7  0x00007fe0501e03ca in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:531
#8  0x00007fe04eb060e5 in  () at /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#9  0x00007fe0501e1b72 in QThreadPrivate::start(void*) (arg=0x7fe04ed7dd80) at thread/qthread_unix.cpp:360
#10 0x00007fe04b1b86db in start_thread (arg=0x7fe015a04700) at pthread_create.c:463
#11 0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fe017c51700 (LWP 19632)):
#0  0x00007fe04b1be9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aa6577cf68) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fe04b1be9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aa6577cf18, cond=0x55aa6577cf40) at pthread_cond_wait.c:502
#2  0x00007fe04b1be9f3 in __pthread_cond_wait (cond=0x55aa6577cf40, mutex=0x55aa6577cf18) at pthread_cond_wait.c:655
#3  0x00007fe018f242cb in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007fe018f23ff7 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007fe04b1b86db in start_thread (arg=0x7fe017c51700) at pthread_create.c:463
#6  0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fe021bb6700 (LWP 19631)):
#0  0x00007fe04f8b9bf9 in __GI___poll (fds=0x7fe021bb58e8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fe04b7e7747 in  () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007fe04b7e936a in xcb_wait_for_event () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007fe023b01f00 in QXcbEventQueue::run() (this=0x55aa65733be0) at qxcbeventqueue.cpp:228
#4  0x00007fe0501e1b72 in QThreadPrivate::start(void*) (arg=0x55aa65733be0) at thread/qthread_unix.cpp:360
#5  0x00007fe04b1b86db in start_thread (arg=0x7fe021bb6700) at pthread_create.c:463
#6  0x00007fe04f8c688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fe052fbf440 (LWP 19629)):
[KCrash Handler]
#6  0x00007fe04f7e3e97 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#7  0x00007fe04f7e5801 in __GI_abort () at abort.c:79
#8  0x00007fe0501bdc8b in qt_message_fatal (context=..., message=<synthetic pointer>...) at global/qlogging.cpp:1907
#9  0x00007fe0501bdc8b in QMessageLogger::fatal(char const*, ...) const (this=this@entry=0x7fff5e2f4dc0, msg=msg@entry=0x7fe052a15a20 "KSycoca unavailable. Kontact will be unable to find plugins.") at global/qlogging.cpp:888
#10 0x00007fe052a00229 in Kontact::MainWindow::waitForKSycoca() (this=<optimized out>) at ./src/mainwindow.cpp:162
#11 0x00007fe052a07978 in Kontact::MainWindow::initObject() (this=this@entry=0x55aa65af8040) at ./src/mainwindow.cpp:168
#12 0x00007fe052a07dea in Kontact::MainWindow::MainWindow() (this=0x55aa65af8040, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at ./src/mainwindow.cpp:100
#13 0x000055aa6353a28c in KontactApp::activate(QStringList const&, QString const&) (this=0x7fff5e2f5120, args=..., workingDir=...) at ./src/main.cpp:133
#14 0x00007fe0527dcc8b in KontactInterface::PimUniqueApplication::start(QStringList const&) () at /usr/lib/x86_64-linux-gnu/libKF5KontactInterface.so.5
#15 0x000055aa635393bc in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./src/main.cpp:212

Possible duplicates by query: bug 413943, bug 413844, bug 413708, bug 412300, bug 412218.

Reported using DrKonqi
Comment 1 David Faure 2019-11-25 22:34:31 UTC
Git commit 093ed784baf95531cb7526766e3e1fef925ae188 by David Faure.
Committed on 25/11/2019 at 22:34.
Pushed by dfaure into branch 'release/19.12'.

kontact: simplify ksycoca-related startup code

Summary:
ksycoca is rebuilt in process these days, looping and waiting
[for kbuildsycoca] makes no sense anymore [for a long time now].

Test Plan:
deleted ksycoca file, started kontact, it said "rebuilding ksycoca"
and started up fine

Reviewers: mlaurent, winterz, vkrause

Reviewed By: vkrause

Subscribers: kde-pim

Tags: #kde_pim

Differential Revision: https://phabricator.kde.org/D25531

M  +6    -27   src/mainwindow.cpp
M  +0    -1    src/mainwindow.h

https://commits.kde.org/kontact/093ed784baf95531cb7526766e3e1fef925ae188